=== debian/changelog ===
rocksndiamonds (4.2.2.1+dfsg-2) unstable; urgency=medium

  * Updated German debconf template translation, thanks to Helge
    Kreutzmann. Closes: #980877.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Mar 2021 21:14:16 +0200

rocksndiamonds (4.2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Emerald Mine Club.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Jan 2021 22:56:09 +0100

rocksndiamonds (4.2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Emerald Mine Club.
  * Add a warning listing large downloads. Closes: #658338. Thanks to
    Américo Monteiro, Luca Monducci, Jonatan Porras, Yuri Kozlov,
    Frans Spiesschaert, and Jean-Pierre Giraud for the updated
    translations. Closes: #978089, #978129, #978579, #979111, 979182.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Jan 2021 20:52:55 +0100

rocksndiamonds (4.2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 16 Dec 2020 20:58:12 +0100

rocksndiamonds (4.2.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Dec 2020 18:35:15 +0100

rocksndiamonds (4.2.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/watch to version 4, simplify dversionmangle.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Nov 2020 21:11:57 +0100

rocksndiamonds (4.2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Oct 2020 20:26:01 +0200

rocksndiamonds (4.2.0.1+dfsg-1) unstable; urgency=medium

  * Exclude the Android build files from future downloads.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Sep 2020 09:01:23 +0200

rocksndiamonds (4.1.4.1+dfsg-2) unstable; urgency=medium

  * Avoid multiple definitions, to allow building with -fno-common.
    Closes: #966063.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jul 2020 16:15:38 +0200
