=== debian/control ===
Source: rocksndiamonds
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
Section: contrib/games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-net-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
Homepage: http://artsoft.org
Rules-Requires-Root: no

Package: rocksndiamonds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         p7zip,
         wget,
         unzip,
         zip
Pre-Depends: debconf | debconf-2.0
Conflicts: rocksndiamonds-data,
           rocksndiamonds-zelda,
           rocks-n-diamonds
Description: arcade-style game
 This package provides the game engine for Rocks'n'Diamonds, an arcade
 game in the tradition of "Boulder Dash", "Emerald Mine", "Supaplex",
 "Sokoban", etcetera. Game levels emulating all of these can be
 downloaded from ArtSoft.org.
