=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
https://artsoft.org/rocksndiamonds/download/ \
(?:.*/|.*=|)rocksndiamonds[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
