## rocksndiamonds 4.3.1.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 WINDRES = windres
 
 CONVERT_ICON_ARGS = -transparent black -background transparent
+
+DEBUGGER = gdb -batch -ex "run" -ex "bt"
 
 PROGBASE = rocksndiamonds
 PROGNAME = ../$(PROGBASE)
@@ -66,8 +68,9 @@
 STRIP = true
 endif
 
+ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
+DEBUGGER = lldb --batch -o "run" -k "bt" -k "quit"
 ifdef BUILD_DIST			# distribution build
-ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
 MAC_TARGET_VERSION_MIN = 10.7
 EXTRA_FLAGS_MAC = -mmacosx-version-min=$(MAC_TARGET_VERSION_MIN)
 EXTRA_CFLAGS = $(EXTRA_FLAGS_MAC)
@@ -97,7 +100,7 @@
 SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_ZLIB=1
 SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]'
 EXTRA_CFLAGS = $(SDL_LIBS)
-EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=65536000 -s ALLOW_MEMORY_GROWTH=1 --preload-file ../graphics/ --preload-file ../sounds/ --preload-file ../levels/ --preload-file ../music/ -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2
+EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=81920000 -s ALLOW_MEMORY_GROWTH=1 --preload-file ../conf/ --preload-file ../docs/ --preload-file ../levels/ --preload-file ../graphics/ --preload-file ../sounds/ --preload-file ../music/ -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2 -lidbfs.js
 else
 SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
 endif
@@ -111,15 +114,11 @@
 # configuring compile-time definitions
 # -----------------------------------------------------------------------------
 
-ifdef RO_GAME_DIR			# path to read-only game data specified
-CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
-endif
-
-ifdef RW_GAME_DIR			# path to writable game data specified
-CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
-endif
-
-CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)
+ifdef BASE_PATH					# path to read-only game data
+CONFIG_BASE_PATH = -DBASE_PATH="\"$(BASE_PATH)\""
+endif
+
+CONFIG = $(CONFIG_BASE_PATH) $(JOYSTICK)
 
 DEBUG = -DDEBUG -g
 
@@ -133,6 +132,10 @@
 # OPTIONS = -O2 -Wall -ansi -pedantic
 # OPTIONS = -O2 -Wall
 # OPTIONS = -O2
+
+ifdef BUILD_TEST			# test build
+OPTIONS := $(OPTIONS) -DTESTING
+endif
 
 ifdef BUILD_DIST			# distribution build
 SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
@@ -189,6 +192,8 @@
 	conf_cus.h	\
 	conf_grp.c	\
 	conf_grp.h	\
+	conf_emp.c	\
+	conf_emp.h	\
 	conf_e2g.c	\
 	conf_esg.c	\
 	conf_e2s.c	\
@@ -354,7 +359,7 @@
 	cd .. && ./$(PROGBASE) --verbose
 
 gdb:
-	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)
+	cd .. && $(DEBUGGER) $(PROGBASE)
 
 valgrind:
 	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out
