=== src/libgame/Makefile ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	image.c		\
 	random.c	\
 	hash.c		\
+	http.c		\
+	base64.c	\
 	setup.c		\
 	misc.c		\
 	sdl.c		\
@@ -39,6 +41,8 @@
 	image.o		\
 	random.o	\
 	hash.o		\
+	http.o		\
+	base64.o	\
 	setup.o		\
 	misc.o		\
 	sdl.o		\
