=== debian/changelog ===
rocksndiamonds (4.3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add support for Andreas Buschbeck’s levelsets.
  * Update the Emerald Mine Club level collection.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Feb 2022 20:56:36 +0100

rocksndiamonds (4.3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 14 Jan 2022 09:55:02 +0100

rocksndiamonds (4.3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Dec 2021 17:22:01 +0100

rocksndiamonds (4.3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release, with a centralised high score server (not used
    by default).
  * Update the Swedish debconf template translation; thanks Martin
    Bagge! Closes: #993890.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Nov 2021 14:12:54 +0100

rocksndiamonds (4.2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Emerald Mine Club.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Sep 2021 12:24:38 +0200
