=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org
