=== debian/changelog ===
rocksndiamonds (4.3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 28 May 2022 13:36:48 +0200
