## rocksndiamonds 4.3.4.0+dfsg

=== debian/changelog ===
rocksndiamonds (4.3.4.0+dfsg-2) unstable; urgency=medium

  * Add Brazilian Portuguese debconf template translation, thanks Paulo
    Henrique de Lima Santana! Closes: #1026420.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Dec 2022 12:24:17 +0100

rocksndiamonds (4.3.4.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Stephen Kitt ]
  * Account for -linux suffixes in debian/watch.
  * New upstream release.
  * Update Lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Fri, 30 Dec 2022 17:00:59 +0100
