=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
-Homepage: http://artsoft.org
+Homepage: https://artsoft.org
 Rules-Requires-Root: no
 
 Package: rocksndiamonds
