=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_build:
 	touch src/conf_*.h
-	dh_auto_build -- RO_GAME_DIR=$(LEVEL_DIR)
+	dh_auto_build -- BASE_PATH=$(LEVEL_DIR)
 
 override_dh_auto_install:
 	set -e; \
@@ -28,6 +28,6 @@
 
 override_dh_auto_clean:
 	make clean
-	rm -fr src/conftime.h rocksndiamonds-bin \
+	rm -fr src/confhash.h src/conftime.h rocksndiamonds-bin \
 		debian/postinst debian/preinst debian/prerm
 	debconf-updatepo
