## rocksndiamonds 4.3.6.0+dfsg

=== debian/changelog ===
rocksndiamonds (4.3.6.0+dfsg-1) unstable; urgency=medium

  * Update Turkish translation of debconf messages; thanks Atila KOÇ!
    Closes: #1038722.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Jun 2023 16:30:53 +0200
