=== debian/changelog ===
rocksndiamonds (4.3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Depend on 7zip instead of p7zip. Closes: #1063615.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Feb 2024 21:29:21 +0100
