=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${perl:Depends},
-         p7zip,
+         7zip,
          wget,
          unzip,
          zip
