## rocksndiamonds 4.3.8.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,19 +21,12 @@
 # (this must be set to "gmake" for some systems)
 MAKE = make
 
-# directory for read-only game data (like graphics, sounds, levels)
+# directory for (read-only) game data (like graphics, sounds, levels)
 # (this directory is usually the game's installation directory)
 # default is '.' to be able to run program without installation
-# RO_GAME_DIR = .
+# BASE_PATH = .
 # use the following setting for Debian / Ubuntu installations:
-# RO_GAME_DIR = /usr/share/games/rocksndiamonds
-
-# directory for writable game data (like highscore files)
-# (if no "scores" directory exists, scores are saved in user data directory)
-# default is '.' to be able to run program without installation
-# RW_GAME_DIR = .
-# use the following setting for Debian / Ubuntu installations:
-# RW_GAME_DIR = /var/games/rocksndiamonds
+# BASE_PATH = /usr/share/games/rocksndiamonds
 
 # uncomment if system has no joystick include file
 # JOYSTICK = -DNO_JOYSTICK
@@ -96,7 +89,7 @@
 # development targets
 # -----------------------------------------------------------------------------
 
-MAKE_ENGINETEST = ./Scripts/make_enginetest.sh
+MAKE_ENGINETEST = ./tests/enginetest/enginetest.sh
 MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh
 
 auto-conf:
@@ -126,18 +119,6 @@
 enginetest: all
 	$(MAKE_ENGINETEST)
 
-enginetestcustom: all
-	$(MAKE_ENGINETEST) custom
-
-enginetestfast: all
-	$(MAKE_ENGINETEST) fast
-
-enginetestnew: all
-	$(MAKE_ENGINETEST) new
-
-leveltest: all
-	$(MAKE_ENGINETEST) leveltest
-
 levelsketch_images: all
 	$(MAKE_LEVELSKETCH)
 
@@ -187,6 +168,9 @@
 dist-package-android:
 	$(MAKE_DIST) package android
 
+dist-package-emscripten:
+	$(MAKE_DIST) package emscripten
+
 dist-copy-package-linux:
 	$(MAKE_DIST) copy-package linux
 
@@ -202,6 +186,9 @@
 dist-copy-package-android:
 	$(MAKE_DIST) copy-package android
 
+dist-copy-package-emscripten:
+	$(MAKE_DIST) copy-package emscripten
+
 dist-upload-linux:
 	$(MAKE_DIST) upload linux
 
@@ -216,6 +203,12 @@
 
 dist-upload-android:
 	$(MAKE_DIST) upload android
+
+dist-upload-emscripten:
+	$(MAKE_DIST) upload emscripten
+
+dist-deploy-emscripten:
+	$(MAKE_DIST) deploy emscripten
 
 dist-package-all:
 	$(MAKE) dist-package-linux
@@ -223,6 +216,7 @@
 	$(MAKE) dist-package-win64
 	$(MAKE) dist-package-mac
 	$(MAKE) dist-package-android
+	$(MAKE) dist-package-emscripten
 
 dist-copy-package-all:
 	$(MAKE) dist-copy-package-linux
@@ -230,6 +224,7 @@
 	$(MAKE) dist-copy-package-win64
 	$(MAKE) dist-copy-package-mac
 	$(MAKE) dist-copy-package-android
+	$(MAKE) dist-copy-package-emscripten
 
 dist-upload-all:
 	$(MAKE) dist-upload-linux
@@ -237,8 +232,12 @@
 	$(MAKE) dist-upload-win64
 	$(MAKE) dist-upload-mac
 	$(MAKE) dist-upload-android
-
-dist-release-all: dist-package-all dist-copy-package-all dist-upload-all
+	$(MAKE) dist-upload-emscripten
+
+dist-deploy-all:
+	$(MAKE) dist-deploy-emscripten
+
+dist-release-all: dist-package-all dist-copy-package-all dist-upload-all dist-deploy-all
 
 package-all: dist-package-all
 
@@ -246,4 +245,6 @@
 
 upload-all: dist-upload-all
 
+deploy-all: dist-deploy-all
+
 release-all: dist-release-all
