=== debian/changelog ===
rocksndiamonds (4.3.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Mar 2024 17:49:51 +0100
