## rocksndiamonds 4.4.0.5%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: https://artsoft.org
-Rules-Requires-Root: no
 
 Package: rocksndiamonds
 Architecture: any
