=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LEVEL_DIR := /usr/share/games/rocksndiamonds
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_auto_build:
 	touch src/conf_*.h
